Author: hikari <hikari@undernet.org>
authorhikari <hikari@hikari.org.uk>
Sun, 19 Sep 2004 12:19:30 +0000 (12:19 +0000)
committerhikari <hikari@hikari.org.uk>
Sun, 19 Sep 2004 12:19:30 +0000 (12:19 +0000)
Log message:

Generate a configure error if we can't find lex/flex or yacc/bison, as they're essential for compiling.  Also
check to make sure we can find a LEXLIB; I've noticed that on Debian SPARC, at least, the installed lib won't work if
you use gcc3 - now generate a failure notice with a note about checking which compiler version you're using.  Much
better that getting half way through the compile to find that something we need is missing.

bb
hikari

git-svn-id: file:///home/klmitch/undernet-ircu/undernet-ircu-svn/ircu2/trunk@1151 c9e4aea6-c8fd-4c43-8297-357d70d61c8c

aclocal.m4
config.h.in
configure
configure.in

index 78f26d9ddb843451eaee4069a0049c19f9f7e1c3..93755419ca24fb5b124c1fc5b53f2669bbc8fb42 100644 (file)
@@ -1,6 +1,6 @@
-dnl aclocal.m4 generated automatically by aclocal 1.4
+dnl aclocal.m4t generated automatically by aclocal 1.4-p6
 
-dnl Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
+dnl Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
 dnl This file is free software; the Free Software Foundation
 dnl gives unlimited permission to copy and/or distribute it,
 dnl with or without modifications, as long as this notice is preserved.
@@ -152,22 +152,22 @@ AC_CHECK_SIZEOF(long)
 AC_CHECK_SIZEOF(void *)
 if test "$ac_cv_sizeof_int" = 2 ; then
   AC_CHECK_TYPE(int16_t, int)
-  AC_CHECK_TYPE(uint16_t, unsigned int)
+  AC_CHECK_TYPE(u_int16_t, unsigned int)
 elif test "$ac_cv_sizeof_short" = 2 ; then
   AC_CHECK_TYPE(int16_t, short)
-  AC_CHECK_TYPE(uint16_t, unsigned short)
+  AC_CHECK_TYPE(u_int16_t, unsigned short)
 else
   AC_MSG_ERROR([Cannot find a type with size of 16 bits])
 fi
 if test "$ac_cv_sizeof_int" = 4 ; then
   AC_CHECK_TYPE(int32_t, int)
-  AC_CHECK_TYPE(uint32_t, unsigned int)
+  AC_CHECK_TYPE(u_int32_t, unsigned int)
 elif test "$ac_cv_sizeof_short" = 4 ; then
   AC_CHECK_TYPE(int32_t, short)
-  AC_CHECK_TYPE(uint32_t, unsigned short)
+  AC_CHECK_TYPE(u_int32_t, unsigned short)
 elif test "$ac_cv_sizeof_long" = 4 ; then
   AC_CHECK_TYPE(int32_t, long)
-  AC_CHECK_TYPE(uint32_t, unsigned long)
+  AC_CHECK_TYPE(u_int32_t, unsigned long)
 else
   AC_MSG_ERROR([Cannot find a type with size of 32 bits])
 fi])
@@ -244,7 +244,7 @@ AC_DEFUN(AC_LIBRARY_NET, [
 # program @code{ansi2knr}, which comes with Ghostscript.
 # @end defmac
 
-AC_DEFUN(AM_PROG_CC_STDC,
+AC_DEFUN([AM_PROG_CC_STDC],
 [AC_REQUIRE([AC_PROG_CC])
 AC_BEFORE([$0], [AC_C_INLINE])
 AC_BEFORE([$0], [AC_C_CONST])
index 570d7348567931526a7bfdd0bacfad0c8ab28473..03167a8ca4b868d0d7c398cc98e651316b4f48ae 100644 (file)
@@ -2,7 +2,7 @@
 #ifndef INCLUDED_config_h
 #define INCLUDED_config_h
 /*
- * IRC - Internet Relay Chat
+ * IRC - Internet Relay Chat, acconfig.h
  * Copyright (C) 2000 Kevin L. Mitchell <klmitch@mit.edu>
  *
  * This program is free software; you can redistribute it and/or modify
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: config.h.in,v 1.9 2004-09-11 23:32:05 entrope Exp $
+ * $Id: config.h.in,v 1.10 2004-09-19 12:19:30 shad0w Exp $
  */
 
+/* Define if you have the setrlimit function */
+#undef HAVE_SETRLIMIT
+
 /* Define one of these, depending on wether you have
  * POSIX, BSD or SYSV non-blocking stuff
  */
  * of respecitvely 2 and 4 bytes in size, when not already
  * defined in <sys/types.h>, <stdlib.h> or <stddef.h>
  */
-#undef uint16_t
-#undef uint32_t
+#undef u_int16_t
+#undef u_int32_t
+
+/* Define to force the poll() function to be used */
+#undef USE_POLL
+/* Define to enable the /dev/poll engine */
+#undef USE_DEVPOLL
+/* Define to enable the kqueue engine */
+#undef USE_KQUEUE
 
 /* Define to enable various debugging code in the server; DO NOT USE
  * THIS ON PRODUCTION SERVERS ON PAIN OF DELINKING!
 /* Define to be the maximum number of network connections */
 #undef MAXCONNECTIONS
 
+
+/* Configuration file name */
+#undef CPATH
+
+/* Enable debugging code */
+#undef DEBUGMODE
+
+/* Domain name to be used for some statistics gathering */
+#undef DOMAINNAME
+
+/* Path to data directory */
+#undef DPATH
+
 /* Define to implement epoll system calls */
 #undef EPOLL_NEED_BODY
 
+/* Force inlining for a few critical functions */
+#undef FORCEINLINE
+
 /* Define to 1 if you have the <crypt.h> header file. */
 #undef HAVE_CRYPT_H
 
 /* Define to 1 if you have the <sys/event.h> header file. */
 #undef HAVE_SYS_EVENT_H
 
+/* Define to 1 if you have the <sys/param.h> header file. */
+#undef HAVE_SYS_PARAM_H
+
+/* Define to 1 if you have the <sys/socket.h> header file. */
+#undef HAVE_SYS_SOCKET_H
+
 /* Define to 1 if you have the <sys/stat.h> header file. */
 #undef HAVE_SYS_STAT_H
 
 /* Define if we have __va_copy */
 #undef HAVE___VA_COPY
 
+/* Enable IPv6 support */
+#undef IPV6
+
+/* Path to debugging log file */
+#undef LPATH
+
+/* Maximum number of network connections */
+#undef MAXCONNECTIONS
+
+/* Disable assertions */
+#undef NDEBUG
+
+/* Define to the address where bug reports for this package should be sent. */
+#undef PACKAGE_BUGREPORT
+
+/* Define to the full name of this package. */
+#undef PACKAGE_NAME
+
+/* Define to the full name and version of this package. */
+#undef PACKAGE_STRING
+
+/* Define to the one symbol short name of this package. */
+#undef PACKAGE_TARNAME
+
+/* Define to the version of this package. */
+#undef PACKAGE_VERSION
+
 /* The size of a `int', as computed by sizeof. */
 #undef SIZEOF_INT
 
 /* The size of a `void *', as computed by sizeof. */
 #undef SIZEOF_VOID_P
 
+/* Path to executable for restarts */
+#undef SPATH
+
 /* Define to 1 if you have the ANSI C header files. */
 #undef STDC_HEADERS
 
    first (like Motorola and SPARC, unlike Intel and VAX). */
 #undef WORDS_BIGENDIAN
 
+/* Define to 1 if `lex' declares `yytext' as a `char *' by default, not a
+   `char[]'. */
+#undef YYTEXT_POINTER
+
 /* Define to `int' if <sys/types.h> doesn't define. */
 #undef gid_t
 
 /* Define to `unsigned' if <sys/types.h> does not define. */
 #undef size_t
 
-/* Define to `int' if <sys/types.h> doesn't define. */
-#undef uid_t
-
 /* Define to `unsigned int' if <sys/types.h> does not define. */
 #undef socklen_t
 
-/* Define if you want IPv6 support. */
-#undef IPV6
+/* Define to `unsigned short' if <sys/types.h> does not define. */
+#undef u_int16_t
+
+/* Define to `unsigned long' if <sys/types.h> does not define. */
+#undef u_int32_t
 
+/* Define to `int' if <sys/types.h> doesn't define. */
+#undef uid_t
 #endif /* INCLUDED_config_h */
index ed7c59e1c7098bd7aeff1b7b677a2c779ec62e52..974e0ce46ed040bd3f30395171dee0f72efed481 100755 (executable)
--- a/configure
+++ b/configure
@@ -310,7 +310,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP EGREP AWK SET_MAKE INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S LEX LEXLIB LEX_OUTPUT_ROOT YACC RMPROG SHPROG ENGINE_C INSTALL_RULE SYMLINK IRCDMODE IRCDOWN IRCDGRP DPATH LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP EGREP AWK SET_MAKE INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S RMPROG SHPROG LEX LEXLIB LEX_OUTPUT_ROOT YACC ENGINE_C INSTALL_RULE SYMLINK IRCDMODE IRCDOWN IRCDGRP DPATH LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -6050,9 +6050,9 @@ _ACEOF
 
 fi
 
-  echo "$as_me:$LINENO: checking for uint16_t" >&5
-echo $ECHO_N "checking for uint16_t... $ECHO_C" >&6
-if test "${ac_cv_type_uint16_t+set}" = set; then
+  echo "$as_me:$LINENO: checking for u_int16_t" >&5
+echo $ECHO_N "checking for u_int16_t... $ECHO_C" >&6
+if test "${ac_cv_type_u_int16_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -6065,9 +6065,9 @@ $ac_includes_default
 int
 main ()
 {
-if ((uint16_t *) 0)
+if ((u_int16_t *) 0)
   return 0;
-if (sizeof (uint16_t))
+if (sizeof (u_int16_t))
   return 0;
   ;
   return 0;
@@ -6094,23 +6094,23 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_type_uint16_t=yes
+  ac_cv_type_u_int16_t=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_type_uint16_t=no
+ac_cv_type_u_int16_t=no
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:$LINENO: result: $ac_cv_type_uint16_t" >&5
-echo "${ECHO_T}$ac_cv_type_uint16_t" >&6
-if test $ac_cv_type_uint16_t = yes; then
+echo "$as_me:$LINENO: result: $ac_cv_type_u_int16_t" >&5
+echo "${ECHO_T}$ac_cv_type_u_int16_t" >&6
+if test $ac_cv_type_u_int16_t = yes; then
   :
 else
 
 cat >>confdefs.h <<_ACEOF
-#define uint16_t unsigned int
+#define u_int16_t unsigned int
 _ACEOF
 
 fi
@@ -6181,9 +6181,9 @@ _ACEOF
 
 fi
 
-  echo "$as_me:$LINENO: checking for uint16_t" >&5
-echo $ECHO_N "checking for uint16_t... $ECHO_C" >&6
-if test "${ac_cv_type_uint16_t+set}" = set; then
+  echo "$as_me:$LINENO: checking for u_int16_t" >&5
+echo $ECHO_N "checking for u_int16_t... $ECHO_C" >&6
+if test "${ac_cv_type_u_int16_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -6196,9 +6196,9 @@ $ac_includes_default
 int
 main ()
 {
-if ((uint16_t *) 0)
+if ((u_int16_t *) 0)
   return 0;
-if (sizeof (uint16_t))
+if (sizeof (u_int16_t))
   return 0;
   ;
   return 0;
@@ -6225,23 +6225,23 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_type_uint16_t=yes
+  ac_cv_type_u_int16_t=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_type_uint16_t=no
+ac_cv_type_u_int16_t=no
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:$LINENO: result: $ac_cv_type_uint16_t" >&5
-echo "${ECHO_T}$ac_cv_type_uint16_t" >&6
-if test $ac_cv_type_uint16_t = yes; then
+echo "$as_me:$LINENO: result: $ac_cv_type_u_int16_t" >&5
+echo "${ECHO_T}$ac_cv_type_u_int16_t" >&6
+if test $ac_cv_type_u_int16_t = yes; then
   :
 else
 
 cat >>confdefs.h <<_ACEOF
-#define uint16_t unsigned short
+#define u_int16_t unsigned short
 _ACEOF
 
 fi
@@ -6317,9 +6317,9 @@ _ACEOF
 
 fi
 
-  echo "$as_me:$LINENO: checking for uint32_t" >&5
-echo $ECHO_N "checking for uint32_t... $ECHO_C" >&6
-if test "${ac_cv_type_uint32_t+set}" = set; then
+  echo "$as_me:$LINENO: checking for u_int32_t" >&5
+echo $ECHO_N "checking for u_int32_t... $ECHO_C" >&6
+if test "${ac_cv_type_u_int32_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -6332,9 +6332,9 @@ $ac_includes_default
 int
 main ()
 {
-if ((uint32_t *) 0)
+if ((u_int32_t *) 0)
   return 0;
-if (sizeof (uint32_t))
+if (sizeof (u_int32_t))
   return 0;
   ;
   return 0;
@@ -6361,23 +6361,23 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_type_uint32_t=yes
+  ac_cv_type_u_int32_t=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_type_uint32_t=no
+ac_cv_type_u_int32_t=no
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:$LINENO: result: $ac_cv_type_uint32_t" >&5
-echo "${ECHO_T}$ac_cv_type_uint32_t" >&6
-if test $ac_cv_type_uint32_t = yes; then
+echo "$as_me:$LINENO: result: $ac_cv_type_u_int32_t" >&5
+echo "${ECHO_T}$ac_cv_type_u_int32_t" >&6
+if test $ac_cv_type_u_int32_t = yes; then
   :
 else
 
 cat >>confdefs.h <<_ACEOF
-#define uint32_t unsigned int
+#define u_int32_t unsigned int
 _ACEOF
 
 fi
@@ -6448,9 +6448,9 @@ _ACEOF
 
 fi
 
-  echo "$as_me:$LINENO: checking for uint32_t" >&5
-echo $ECHO_N "checking for uint32_t... $ECHO_C" >&6
-if test "${ac_cv_type_uint32_t+set}" = set; then
+  echo "$as_me:$LINENO: checking for u_int32_t" >&5
+echo $ECHO_N "checking for u_int32_t... $ECHO_C" >&6
+if test "${ac_cv_type_u_int32_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -6463,9 +6463,9 @@ $ac_includes_default
 int
 main ()
 {
-if ((uint32_t *) 0)
+if ((u_int32_t *) 0)
   return 0;
-if (sizeof (uint32_t))
+if (sizeof (u_int32_t))
   return 0;
   ;
   return 0;
@@ -6492,23 +6492,23 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_type_uint32_t=yes
+  ac_cv_type_u_int32_t=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_type_uint32_t=no
+ac_cv_type_u_int32_t=no
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:$LINENO: result: $ac_cv_type_uint32_t" >&5
-echo "${ECHO_T}$ac_cv_type_uint32_t" >&6
-if test $ac_cv_type_uint32_t = yes; then
+echo "$as_me:$LINENO: result: $ac_cv_type_u_int32_t" >&5
+echo "${ECHO_T}$ac_cv_type_u_int32_t" >&6
+if test $ac_cv_type_u_int32_t = yes; then
   :
 else
 
 cat >>confdefs.h <<_ACEOF
-#define uint32_t unsigned short
+#define u_int32_t unsigned short
 _ACEOF
 
 fi
@@ -6579,9 +6579,9 @@ _ACEOF
 
 fi
 
-  echo "$as_me:$LINENO: checking for uint32_t" >&5
-echo $ECHO_N "checking for uint32_t... $ECHO_C" >&6
-if test "${ac_cv_type_uint32_t+set}" = set; then
+  echo "$as_me:$LINENO: checking for u_int32_t" >&5
+echo $ECHO_N "checking for u_int32_t... $ECHO_C" >&6
+if test "${ac_cv_type_u_int32_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -6594,9 +6594,9 @@ $ac_includes_default
 int
 main ()
 {
-if ((uint32_t *) 0)
+if ((u_int32_t *) 0)
   return 0;
-if (sizeof (uint32_t))
+if (sizeof (u_int32_t))
   return 0;
   ;
   return 0;
@@ -6623,23 +6623,23 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_type_uint32_t=yes
+  ac_cv_type_u_int32_t=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_type_uint32_t=no
+ac_cv_type_u_int32_t=no
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:$LINENO: result: $ac_cv_type_uint32_t" >&5
-echo "${ECHO_T}$ac_cv_type_uint32_t" >&6
-if test $ac_cv_type_uint32_t = yes; then
+echo "$as_me:$LINENO: result: $ac_cv_type_u_int32_t" >&5
+echo "${ECHO_T}$ac_cv_type_u_int32_t" >&6
+if test $ac_cv_type_u_int32_t = yes; then
   :
 else
 
 cat >>confdefs.h <<_ACEOF
-#define uint32_t unsigned long
+#define u_int32_t unsigned long
 _ACEOF
 
 fi
@@ -7361,6 +7361,97 @@ else
 echo "${ECHO_T}no, using $LN_S" >&6
 fi
 
+for ac_prog in rm
+do
+  # Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_path_RMPROG+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $RMPROG in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_RMPROG="$RMPROG" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_path_RMPROG="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+
+  ;;
+esac
+fi
+RMPROG=$ac_cv_path_RMPROG
+
+if test -n "$RMPROG"; then
+  echo "$as_me:$LINENO: result: $RMPROG" >&5
+echo "${ECHO_T}$RMPROG" >&6
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+  test -n "$RMPROG" && break
+done
+test -n "$RMPROG" || RMPROG="/bin/rm"
+
+for ac_prog in sh
+do
+  # Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_path_SHPROG+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $SHPROG in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_SHPROG="$SHPROG" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_path_SHPROG="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+
+  ;;
+esac
+fi
+SHPROG=$ac_cv_path_SHPROG
+
+if test -n "$SHPROG"; then
+  echo "$as_me:$LINENO: result: $SHPROG" >&5
+echo "${ECHO_T}$SHPROG" >&6
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+  test -n "$SHPROG" && break
+done
+test -n "$SHPROG" || SHPROG="/bin/sh"
+
+
 for ac_prog in flex lex
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
@@ -7632,6 +7723,30 @@ _ACEOF
 fi
 
 fi
+if test -x "$LEX"
+then
+  { { echo "$as_me:$LINENO: error: Cannot find flex." >&5
+echo "$as_me: error: Cannot find flex." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+if test -z "$LEXLIB"
+then
+  { { echo "$as_me:$LINENO: error:
+  Cannot find a library with yywrap() in, but flex was found.
+  It's possible the compiler you're using ($CC) is incompatible with the
+  installed library.
+See \`config.log' for more details." >&5
+echo "$as_me: error:
+  Cannot find a library with yywrap() in, but flex was found.
+  It's possible the compiler you're using ($CC) is incompatible with the
+  installed library.
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+LIBS="$LEXLIB $LIBS"
+
 for ac_prog in 'bison -y' byacc
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
@@ -7673,98 +7788,13 @@ fi
 done
 test -n "$YACC" || YACC="yacc"
 
-for ac_prog in rm
-do
-  # Extract the first word of "$ac_prog", so it can be a program name with args.
-set dummy $ac_prog; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-if test "${ac_cv_path_RMPROG+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  case $RMPROG in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_RMPROG="$RMPROG" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_path_RMPROG="$as_dir/$ac_word$ac_exec_ext"
-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-
-  ;;
-esac
-fi
-RMPROG=$ac_cv_path_RMPROG
-
-if test -n "$RMPROG"; then
-  echo "$as_me:$LINENO: result: $RMPROG" >&5
-echo "${ECHO_T}$RMPROG" >&6
-else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-fi
-
-  test -n "$RMPROG" && break
-done
-test -n "$RMPROG" || RMPROG="/bin/rm"
-
-for ac_prog in sh
-do
-  # Extract the first word of "$ac_prog", so it can be a program name with args.
-set dummy $ac_prog; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-if test "${ac_cv_path_SHPROG+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  case $SHPROG in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_SHPROG="$SHPROG" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_path_SHPROG="$as_dir/$ac_word$ac_exec_ext"
-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-
-  ;;
-esac
-fi
-SHPROG=$ac_cv_path_SHPROG
-
-if test -n "$SHPROG"; then
-  echo "$as_me:$LINENO: result: $SHPROG" >&5
-echo "${ECHO_T}$SHPROG" >&6
-else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+if test -z "$YACC"
+then
+  { { echo "$as_me:$LINENO: error: Cannot find yacc." >&5
+echo "$as_me: error: Cannot find yacc." >&2;}
+   { (exit 1); exit 1; }; }
 fi
 
-  test -n "$SHPROG" && break
-done
-test -n "$SHPROG" || SHPROG="/bin/sh"
-
-
-LIBS="$LEXLIB $LIBS"
 
 echo "$as_me:$LINENO: checking for posix non-blocking" >&5
 echo $ECHO_N "checking for posix non-blocking... $ECHO_C" >&6
@@ -9732,12 +9762,12 @@ s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
 s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
 s,@INSTALL_DATA@,$INSTALL_DATA,;t t
 s,@LN_S@,$LN_S,;t t
+s,@RMPROG@,$RMPROG,;t t
+s,@SHPROG@,$SHPROG,;t t
 s,@LEX@,$LEX,;t t
 s,@LEXLIB@,$LEXLIB,;t t
 s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
 s,@YACC@,$YACC,;t t
-s,@RMPROG@,$RMPROG,;t t
-s,@SHPROG@,$SHPROG,;t t
 s,@ENGINE_C@,$ENGINE_C,;t t
 s,@INSTALL_RULE@,$INSTALL_RULE,;t t
 s,@SYMLINK@,$SYMLINK,;t t
index 7c5e5b760578a4aa49b27b5d89c412a52ad05a80..3244abcaee63f9fec2789dbc102dcdcab2b3064a 100644 (file)
@@ -137,13 +137,34 @@ AC_PROG_AWK
 AC_PROG_MAKE_SET
 AC_PROG_INSTALL
 AC_PROG_LN_S
-AC_PROG_LEX
-AC_PROG_YACC
 AC_PATH_PROGS(RMPROG, rm, /bin/rm)
 AC_PATH_PROGS(SHPROG, sh, /bin/sh)
 
+dnl (F)LEX - needed for the new conf file parser
+AC_PROG_LEX
+if test -x "$LEX"
+then 
+  AC_MSG_ERROR([Cannot find flex.])
+fi
+
+if test -z "$LEXLIB"
+then
+  AC_MSG_FAILURE([
+  Cannot find a library with yywrap() in, but flex was found.  
+  It's possible the compiler you're using ($CC) is incompatible with the 
+  installed library.])
+fi
+
 LIBS="$LEXLIB $LIBS"
 
+dnl YACC - ditto
+AC_PROG_YACC
+if test -z "$YACC"
+then
+  AC_MSG_ERROR([Cannot find yacc.])
+fi
+
+
 unet_NONBLOCKING
 unet_SIGNALS